Fency.ai
Memory types

List memory types

GET
/v1/memory-types

List memory types with cursor pagination.

Authorization

bearerAuth
AuthorizationBearer <token>

Provide your secret key as Authorization: Bearer sk_....

In: header

Query Parameters

previousPageToken?string
nextPageToken?string
limit?integer
asc?boolean

Response Body

application/json

curl -X GET "https://example.com/v1/memory-types"
{  "items": [    {      "id": "example-id",      "createdAt": "2024-04-08T17:02:27.887295Z",      "name": "example_memory_type",      "description": "This is an example memory type.",      "type": "SEMANTIC",      "metadataSource": {        "identityMetaKeyId": "mmk_identity",        "updatedAtMetaKeyId": "mmk_updated_at"      },      "metadataFields": [        {          "name": "example_field",          "description": "This is an example metadata field.",          "fieldType": "STRING"        }      ]    }  ],  "pagination": {    "previousPageToken": "<remove-me>",    "nextPageToken": "YWNlNGM2NjYtYzRiYi00MDk4LWE2MWItNThlNjNkNTlhM2E3"  }}